package Common.Visual;
import Common.Database.Tables.DataSet;
import Common.Visual.Menus.DataMenuBar;
import Common.Visual.Themes.DefaultTheme;
import Common.Visual.Themes.VisualiserTheme;
import Common.Visual.Windows.PassForm;
import _VisualDVM.Visual.Menus.FastAccessMenuBar.FastAccessMenuBar;

import java.util.LinkedHashMap;
public class UIModule_ {
    //--
    VisualiserTheme theme = new DefaultTheme();
    public VisualiserTheme getTheme() {
        return theme;
    }
    public void setTheme(VisualiserTheme theme_in) {
        theme = theme_in;
    }
    //--
    PassForm passForm = null;//текущая форма прохода. нужна для
    public boolean HasPassForm(){return passForm!=null;}
    public PassForm GetPassForm(){return passForm;}
    public PassForm SetPassForm(PassForm passForm_in){
        return passForm = passForm_in;
    }
    public void DropPassForm(){passForm=null;}
    //--
    //--
    FastAccessMenuBar fastAccessMenuBar = new FastAccessMenuBar();
    public FastAccessMenuBar getFastAccessMenuBar(){return fastAccessMenuBar;}
    //-
    public LinkedHashMap<Class<? extends DataSet>, DataMenuBar> menuBars = new LinkedHashMap<>();
}
